For the complete documentation index, see llms.txt. This page is also available as Markdown.

Banners

Buscar banner por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
bannerIdstringObrigatório

ID do banner

Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
durationTypestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
activebooleanOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
groupstring[]Opcional
get/banners/{bannerId}
GET /api/b2b/banners/{bannerId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "title": "text",
  "type": "SMALL",
  "durationType": "LIFETIME",
  "start_date": "2026-01-01T00:00:00.000Z",
  "end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "profile_partner": true,
  "profile_seller": true,
  "images": [
    {
      "id": "text",
      "description": "text",
      "imageSmall": "text",
      "imageLarge": "text",
      "link": "text",
      "order": 1,
      "active": true
    }
  ],
  "group": [
    "text"
  ]
}

Atualizar banner

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
bannerIdstringObrigatório

ID do banner

Corpo
titlestringOpcional
typestring · enumOpcionalValores possíveis:
durationTypestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
activebooleanOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
groupstring[]Opcional
Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
durationTypestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
activebooleanOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
groupstring[]Opcional
put/banners/{bannerId}
PUT /api/b2b/banners/{bannerId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335

{
  "title": "text",
  "type": "SMALL",
  "durationType": "LIFETIME",
  "start_date": "2026-01-01T00:00:00.000Z",
  "end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "profile_partner": true,
  "profile_seller": true,
  "images": [
    {
      "id": "text",
      "description": "text",
      "imageSmall": "text",
      "imageLarge": "text",
      "link": "text",
      "order": 1,
      "active": true
    }
  ],
  "group": [
    "text"
  ]
}
{
  "id": "text",
  "title": "text",
  "type": "SMALL",
  "durationType": "LIFETIME",
  "start_date": "2026-01-01T00:00:00.000Z",
  "end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "profile_partner": true,
  "profile_seller": true,
  "images": [
    {
      "id": "text",
      "description": "text",
      "imageSmall": "text",
      "imageLarge": "text",
      "link": "text",
      "order": 1,
      "active": true
    }
  ],
  "group": [
    "text"
  ]
}

Excluir banner

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
bannerIdstringObrigatório

ID do banner

Respostas
204

Banner deleted successfully

Sem conteúdo

delete/banners/{bannerId}
DELETE /api/b2b/banners/{bannerId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo